//
// exercice: reproduire le logo de l'EPFL
// Auteur: Martin Simic
//
#include "logo.h"
#include <gtkmm/application.h>
#include <gtkmm/window.h>


class ExampleWindow : public Gtk::Window
{
public:
	ExampleWindow();

protected:
	Logo logo;
};

ExampleWindow::ExampleWindow()
{
	set_default_size(820, 350);
	set_title("EPFL Logo");
	set_child(logo);
}

int main(int argc, char** argv)
{
	auto app = Gtk::Application::create("org.gtkmm.example");
	
	return app->make_window_and_run<ExampleWindow>(argc, argv);
}
